Woo's Bog
记录朝花夕拾的日子

CentOS7.2 缺少mysqli扩展 请检查PHP配置

php7.0开始不支持mysql扩展库,访问phpMyAdmin出现“缺少mysqli扩展,请检查PHP配置”的报错。

首先确认服务器环境:(如果使用centos7.2搭建lamp(Apache+PHP+Mysql环境)升级到PHP7.0的方案搭建的服务器,版本应和我一致)

确认centos及LAMP版本

解决方案

注意:百度找了N多的方案,都不行出现各种报错。
使用“yum install php-mysql –skip-broken”,虽然能安装成功但不能解决问题。最终思维简单点直接安装php-mysqli居然搞定了,所以一些时候还是需要将问题简单化:

最后重启一下Apache

搞定

赞(0) 打赏
未经允许不得转载:Snow'Blog » CentOS7.2 缺少mysqli扩展 请检查PHP配置

评论 1

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. #1

    php7.0 可直接运行yum install php70w-mysqlnd
    php70w-mysqlnd包含了mysqli扩展

    snow2个月前 (09-25)回复

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏